#ifndef MATRIX_H
#define MATRIX_H

typedef FLOAT *		MATRIX;
typedef	FLOAT *		VECTOR;

VECTOR allocatevector(void);
MATRIX allocatematrix(void);
void freevector(VECTOR);
void freematrix(MATRIX);
void copymatrix(MATRIX,MATRIX);
void identitymatrix(MATRIX);
void multmatrix(MATRIX,MATRIX,MATRIX);
void multvecandmat(VECTOR,MATRIX,VECTOR);

#endif
