#ifndef DISPLAY_H
#define DISPLAY_H

 /* Display constants. */
 
#define WAIT		0	/* Put process to sleep while waiting for input. */
#define NOWAIT		1	/* Just see if there is any input. */
      
 /* Display functions. */
 
UBYTE opendisplay(UWORD *,UWORD,UWORD,UBYTE);
void closedisplay(void);
void clearscreen(void);
void line(WORD, WORD, WORD, WORD);
void showgraphics(void);
 
 /* Intuition input. */

UBYTE getinput(UBYTE);
 
 /* Timing function. */

void  pause(ULONG,ULONG);

#endif



